/*
    (c) 2016 Microchip Technology Inc. and its subsidiaries. You may use this
    software and any derivatives exclusively with Microchip products.

    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
    WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
    PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION
    WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.

    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
    BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
    FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
    ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
    THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.

    MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE
    TERMS.
*/


// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef APPLICATION_LAYER_GLOBALS_H
#define	APPLICATION_LAYER_GLOBALS_H

	#include <xc.h> // include processor files - each processor file is guarded.  
	#include <stdint.h>

	#include "fault_handler.h"
	#include "system_properties.h"
	#include "task_scheduler.h"
	#include "types.h"
	#include "hal.h"
	#include "init_converter.h"
	#include "tab_bin.h"
	#include "tab_ntc8b.h"
	#include "tab_weber_fechner.h"

	//------------------------------------------------------------------------------
	// Global, Generic Macros
	//------------------------------------------------------------------------------
	#define ARR_UBOUND(x)  (uint16_t)((sizeof(x) / sizeof((x)[0]))-1)

	//------------------------------------------------------------------------------
	// Global Prototypes
	//------------------------------------------------------------------------------


	//------------------------------------------------------------------------------
	// Global Variables
	//------------------------------------------------------------------------------
	extern converter_t sepic;
	extern fault_control_t fault_controller;
  extern UARTSend_t UARTsend;
	//------------------------------------------------------------------------------


#endif	/* APPLICATION_LAYER_GLOBALS_H */
