/*
    (c) 2016 Microchip Technology Inc. and its subsidiaries. You may use this
    software and any derivatives exclusively with Microchip products.

    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
    WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
    PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION
    WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.

    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
    BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
    FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
    ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
    THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.

    MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE
    TERMS.
*/

#ifndef HARDWARE_ABSTRACTION_LAYER_DEFINES_H
#define	HARDWARE_ABSTRACTION_LAYER_DEFINES_H

#include <xc.h> // include processor files - each processor file is guarded.  

#define adinOutputVoltage	0b0101				// Analog Input AN5 Vout
#define adinInputVoltage	0b0100				// Analog Input AN4 Vin
#define adinBinResistor		0b0011				// Analog Input AN3 BIN
#define adinForwardCurrent	0b1010				// Analog Input AN10 ILED
#define adinTemperature		0b1001				// Analog Input AN9 Temp

#define DebugPin_TRIS		TRISCbits.TRISC6	// SFR-Bit to set direction of debug pin
#define DebugPin_RD			PORTCbits.RC6		// SFR-Bit to read a debug pin
#define DebugPin_WR			LATCbits.LATC6		// SFR-Bit to set/toggle the debug pin

#define SwitchInput_TRIS	TRISAbits.TRISA3	// SFR-Bit to set direction of on-board switch status
#define SwitchInput_RD		PORTAbits.RA3		// SFR-Bit to read on-board switch status
#define SwitchInput_WR		LATAbits.LATA3		// SFR-Bit to set/toggle the on-board switch connections

#define ErrorPin_TRIS		TRISCbits.LATC4		// SFR-bit to set direction of error status on fault LED
#define ErrorPin_RD			PORTCbits.LATC4		// SFR-bit to read error status on fault LED
#define ErrorPin_WR			LATCbits.LATC4		// SFR-bit to set/toggle the error status on fault LED

#define regDimmingPWMPeriod		PWM5PR				// Period register of the dimming PWM module
#define regDimmingPWMDutyCycle	PWM5DC				// Duty cycle register of the dimming PWM module
#define regDimmingPWM_DC_LDA	PWM5LDCONbits.LDA	// Register bit used to set the new dimming duty ratio

#define regSSMTarget		OSCTUNE				// Target register of the spread spectrum modulation engine

#endif	/* HARDWARE_ABSTRACTION_LAYER_DEFINES_H */
