/*
    (c) 2016 Microchip Technology Inc. and its subsidiaries. You may use this
    software and any derivatives exclusively with Microchip products.

    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
    WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
    PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION
    WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.

    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
    BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
    FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
    ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
    THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.

    MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE
    TERMS.
*/

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef APPLICATION_LAYER_TASKS_H
#define	APPLICATION_LAYER_TASKS_H

#include <xc.h> // include processor files - each processor file is guarded.  
#include <stdint.h>
#include "globals.h"

/* Scheduler Tasks */
extern void task_Idle(void); 
extern void task_CheckInputUnderVoltage(void); 
extern void task_CheckInputOverVoltage(void); 
extern void task_CheckOutputVoltage(void); 
extern void task_CheckTemperatureWarning(void); 
extern void task_CheckTemperatureProtection(void); 
extern void task_SetDimmingDutyRatio(void); 
extern void task_SendUart(void);    
extern void task_RecUart(void);    
extern void InitUARTsend(void);
extern void InitSwitchController(void);
extern void GetBIN(void); 

#endif	/* APPLICATION_LAYER_TASKS_H */
